From da2279b8825cc6638ca71d7f33e418953c6e9337 Mon Sep 17 00:00:00 2001
From: Patrick Georgi <pgeorgi@google.com>
Date: Thu, 4 Apr 2019 21:50:51 +0200
Subject: [PATCH 14/15] mistral: Add temporary duplicate entries for better
 compatibility

We have different kernels with different expectations regarding
device tree paths. Until that's sorted out, provide both paths so
old and new kernels can boot with the same firmware.

BUG=b:129351195
BRANCH=none
TEST=old and new kernels find the wifi hardware

Change-Id: I1ea5017b31a866d5a0c5efe05fd1f5242acaf2f3
Signed-off-by: Patrick Georgi <pgeorgi@google.com>
---
 src/board/mistral/board.c | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/src/board/mistral/board.c b/src/board/mistral/board.c
index 6ffeffd27d5a..8c46837ec5a7 100644
--- a/src/board/mistral/board.c
+++ b/src/board/mistral/board.c
@@ -41,6 +41,7 @@
 
 static const VpdDeviceTreeMap vpd_dt_map[] = {
 	{ "cherokee_mac", "/soc@0/wifi@a000000/local-mac-address" },
+	{ "cherokee_mac", "/soc@0/wifi@0A000000/local-mac-address" },
 	{ "eth_wan_mac", "/soc@0/ethernet@7a80000/mdio/switch0@16/ports/port@2/local-mac-address" },
 	{ "eth_lan_mac", "/soc@0/ethernet@7a80000/mdio/switch0@16/ports/port@3/local-mac-address" },
 	{ "bluetooth_mac", "/soc@0/serial@78b2000/wcn3990-bt/local-bd-address" },
@@ -58,11 +59,13 @@ static const DtPathMap calibration_maps[] = {
 static const DtPathMap cc_maps[] = {
 	{1, "/soc@0/pci@10000000/pcie@0/wifi@0,0", "qcom,ath10k-country-code"},
 	{1, "/soc@0/wifi@a000000", "qcom,ath10k-country-code"},
+	{1, "/soc@0/wifi@0A000000", "qcom,ath10k-country-code"},
 	{}
 };
 
 static const DtPathMap xo_cal_map[] = {
 	{1, "/soc@0/wifi@a000000", "xo-cal-data" },
+	{1, "/soc@0/wifi@0A000000", "xo-cal-data" },
 	{}
 };
 
-- 
The Qualcomm Innovation Center, Inc. is a member of the Code Aurora Forum,
a Linux Foundation Collaborative Project

